
Redmine - Defect #7372

500 error for move issue to another projects

2011-01-19 15:53 - Maxim Pavlov

Status: Closed Start date: 2011-01-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.1.0

Description

Me have different trackers for different projects.

Redmine not check trackers destination and if tracker not have in destination projects we have 500 error.

But all worket if me select tracker destination to destination projects

p.s. sorry for my English

Processing IssueMovesController#create (for 192.168.0.254 at 2011-01-19 17:14:57) [POST]

  Parameters: {"new_project_id"=>"11", "start_date"=>"", "new_tracker_id"=>"", "commit"=>"Перемест

ить", "ids"=>["4168"], "action"=>"create", "authenticity_token"=>"j8K+a/BhwKOMOEkeONNIz0TK1OP1bt6D

vaPotY1S2RA=", "priority_id"=>"", "notes"=>"", "controller"=>"issue_moves", "assigned_to_id"=>"", 

"due_date"=>"", "status_id"=>""}

  Setting Columns (0.6ms)   SHOW FIELDS FROM `settings`

  SQL (0.3ms)   SELECT max(`settings`.updated_on) AS max_updated_on FROM `settings` 

  User Columns (0.7ms)   SHOW FIELDS FROM `users`

  User Load (0.3ms)   SELECT * FROM `users` WHERE (`users`.`id` = 1) AND (users.status = 1) AND ( 

(`users`.`type` = 'User' OR `users`.`type` = 'AnonymousUser' ) ) 

  Issue Columns (0.8ms)   SHOW FIELDS FROM `issues`

  Issue Load (0.2ms)   SELECT * FROM `issues` WHERE (`issues`.`id` IN ('4168')) 

  Project Columns (0.8ms)   SHOW FIELDS FROM `projects`

  Project Load (0.5ms)   SELECT * FROM `projects` WHERE (`projects`.`id` = 12) 

  EnabledModule Load (0.5ms)   SELECT name FROM `enabled_modules` WHERE (`enabled_modules`.project

_id = 12) 

  EnabledModule Columns (0.5ms)   SHOW FIELDS FROM `enabled_modules`

  Project Load (0.4ms)   SELECT * FROM `projects` WHERE (projects.status=1) 

  Member Columns (0.6ms)   SHOW FIELDS FROM `members`

  Role Columns (0.7ms)   SHOW FIELDS FROM `roles`

  Member Load Including Associations (1.1ms)   SELECT `members`.`id` AS t0_r0, `members`.`user_id`

 AS t0_r1, `members`.`project_id` AS t0_r2, `members`.`created_on` AS t0_r3, `members`.`mail_notif

ication` AS t0_r4, `projects`.`id` AS t1_r0, `projects`.`name` AS t1_r1, `projects`.`description` 

AS t1_r2, `projects`.`homepage` AS t1_r3, `projects`.`is_public` AS t1_r4, `projects`.`parent_id` 

AS t1_r5, `projects`.`created_on` AS t1_r6, `projects`.`updated_on` AS t1_r7, `projects`.`identifi

er` AS t1_r8, `projects`.`status` AS t1_r9, `projects`.`lft` AS t1_r10, `projects`.`rgt` AS t1_r11

, `roles`.`id` AS t2_r0, `roles`.`name` AS t2_r1, `roles`.`position` AS t2_r2, `roles`.`assignable

` AS t2_r3, `roles`.`builtin` AS t2_r4, `roles`.`permissions` AS t2_r5 FROM `members` LEFT OUTER J

OIN `projects` ON `projects`.id = `members`.project_id LEFT OUTER JOIN `member_roles` ON (`members

`.`id` = `member_roles`.`member_id`) LEFT OUTER JOIN `roles` ON (`roles`.`id` = `member_roles`.`ro

le_id`) WHERE (`members`.user_id = 1 AND (projects.status=1)) ORDER BY projects.name

  Role Load (0.3ms)   SELECT * FROM `roles` WHERE (`roles`.`builtin` = 1) LIMIT 1

  Workflow Load (0.5ms)   SELECT * FROM `workflows` WHERE (`workflows`.`role_id` IN (1)) 

  Issue Load (0.2ms)   SELECT * FROM `issues` WHERE (`issues`.`id` = 4168) 

  Journal Columns (0.6ms)   SHOW FIELDS FROM `journals`

  IssueStatus Columns (0.6ms)   SHOW FIELDS FROM `issue_statuses`

  IssueStatus Load (0.3ms)   SELECT * FROM `issue_statuses` WHERE (`issue_statuses`.`id` = 0) 

  IssueStatus Load (0.2ms)   SELECT * FROM `issue_statuses` WHERE (is_default=1) LIMIT 1

  IssuePriority Columns (0.5ms)   SHOW FIELDS FROM `enumerations`

  IssuePriority Load (0.3ms)   SELECT * FROM `enumerations` WHERE (`enumerations`.`id` = 0) AND ( 

(`enumerations`.`type` = 'IssuePriority' ) ) ORDER BY enumerations.position ASC

  IssuePriority Load (0.2ms)   SELECT * FROM `enumerations` WHERE (`enumerations`.`is_default` = 1

) AND ( (`enumerations`.`type` = 'IssuePriority' ) ) ORDER BY enumerations.position ASC LIMIT 1

  IssueStatus Load (0.2ms)   SELECT * FROM `issue_statuses` WHERE (`issue_statuses`.`id` = 2) 
  CustomValue Columns (0.5ms)   SHOW FIELDS FROM `custom_values`

  CustomField Columns (0.7ms)   SHOW FIELDS FROM `custom_fields`

  CustomValue Load Including Associations (0.9ms)   SELECT `custom_values`.`id` AS t0_r0, `custom_

values`.`customized_type` AS t0_r1, `custom_values`.`customized_id` AS t0_r2, `custom_values`.`cus

tom_field_id` AS t0_r3, `custom_values`.`value` AS t0_r4, `custom_fields`.`id` AS t1_r0, `custom_f

ields`.`type` AS t1_r1, `custom_fields`.`name` AS t1_r2, `custom_fields`.`field_format` AS t1_r3, 

`custom_fields`.`possible_values` AS t1_r4, `custom_fields`.`regexp` AS t1_r5, `custom_fields`.`mi

n_length` AS t1_r6, `custom_fields`.`max_length` AS t1_r7, `custom_fields`.`is_required` AS t1_r8,

 `custom_fields`.`is_for_all` AS t1_r9, `custom_fields`.`is_filter` AS t1_r10, `custom_fields`.`po

sition` AS t1_r11, `custom_fields`.`searchable` AS t1_r12, `custom_fields`.`default_value` AS t1_r

13, `custom_fields`.`editable` AS t1_r14, `custom_fields`.`visible` AS t1_r15 FROM `custom_values`

 LEFT OUTER JOIN `custom_fields` ON `custom_fields`.id = `custom_values`.custom_field_id WHERE (`c

ustom_values`.customized_id = 4168 AND `custom_values`.customized_type = 'Issue') ORDER BY custom_

fields.position

  SQL (0.1ms)   BEGIN

  Setting Load (0.4ms)   SELECT * FROM `settings` WHERE (`settings`.`name` = 'cross_project_issue_

relations') LIMIT 1

  IssueRelation Load (0.2ms)   SELECT * FROM `issue_relations` WHERE (`issue_relations`.issue_from

_id = 4168) 

  IssueRelation Load (0.2ms)   SELECT * FROM `issue_relations` WHERE (`issue_relations`.issue_to_i

d = 4168) 

  Project Load (0.4ms)   SELECT * FROM `projects` WHERE (projects.`lft` <= 15 AND projects.`rgt` >

= 16) ORDER BY `lft` LIMIT 1

  CACHE (0.0ms)   SELECT * FROM `projects` WHERE (projects.`lft` <= 15 AND projects.`rgt` >= 16) O

RDER BY `lft` LIMIT 1

  Version Columns (0.7ms)   SHOW FIELDS FROM `versions`

  Version Load Including Associations (0.7ms)   SELECT `versions`.`id` AS t0_r0, `versions`.`proje

ct_id` AS t0_r1, `versions`.`name` AS t0_r2, `versions`.`description` AS t0_r3, `versions`.`effect

ive_date` AS t0_r4, `versions`.`created_on` AS t0_r5, `versions`.`updated_on` AS t0_r6, `versions`

.`wiki_page_title` AS t0_r7, `versions`.`status` AS t0_r8, `versions`.`sharing` AS t0_r9, `version

s`.`sprint_start_date` AS t0_r10, `projects`.`id` AS t1_r0, `projects`.`name` AS t1_r1, `projects`

.`description` AS t1_r2, `projects`.`homepage` AS t1_r3, `projects`.`is_public` AS t1_r4, `project

s`.`parent_id` AS t1_r5, `projects`.`created_on` AS t1_r6, `projects`.`updated_on` AS t1_r7, `proj

ects`.`identifier` AS t1_r8, `projects`.`status` AS t1_r9, `projects`.`lft` AS t1_r10, `projects`.

`rgt` AS t1_r11 FROM `versions` LEFT OUTER JOIN `projects` ON `projects`.id = `versions`.project_i

d WHERE (projects.id = 11 OR (projects.status = 1 AND ( versions.sharing = 'system' OR (projects.l

ft >= 15 AND projects.rgt <= 16 AND versions.sharing = 'tree') OR (projects.lft < 15 AND projects.

rgt > 16 AND versions.sharing IN ('hierarchy', 'descendants')) OR (projects.lft > 15 AND projects.

rgt < 16 AND versions.sharing = 'hierarchy')))) 

  Setting Load (0.3ms)   SELECT * FROM `settings` WHERE (`settings`.`name` = 'plugin_redmine_backl

ogs') LIMIT 1

  IssuePriority Load (0.2ms)   SELECT * FROM `enumerations` WHERE (`enumerations`.`id` = 14) AND (

 (`enumerations`.`type` = 'IssuePriority' ) ) ORDER BY enumerations.position ASC

  Tracker Columns (0.6ms)   SHOW FIELDS FROM `trackers`

  Tracker Load (0.2ms)   SELECT * FROM `trackers` WHERE (`trackers`.`id` = 16) 

  User Load (0.2ms)   SELECT * FROM `users` WHERE (`users`.`id` = 19) AND ( (`users`.`type` = 'Use

r' OR `users`.`type` = 'AnonymousUser' ) ) 

  Setting Load (0.2ms)   SELECT * FROM `settings` WHERE (`settings`.`name` = 'issue_done_ratio') L

IMIT 1

  Issue Load (0.6ms)   SELECT * FROM `issues` WHERE (((issues.id != 4168) AND (issues.`lft` <= 1 A

ND issues.`rgt` >= 2)) AND (`issues`.`root_id` = 4168)) ORDER BY `lft`

  Tracker Load (0.3ms)   SELECT `trackers`.id FROM `trackers` INNER JOIN `projects_trackers` ON `t

rackers`.id = `projects_trackers`.tracker_id WHERE (`trackers`.`id` = 16) AND (`projects_trackers`

.project_id = 11 ) ORDER BY trackers.position LIMIT 1

  SQL (0.1ms)   ROLLBACK

NoMethodError (undefined method `project_id' for false:FalseClass):

  app/models/issue.rb:127:in `move_to_project'

  app/models/issue.rb:125:in `move_to_project'

  app/controllers/issue_moves_controller.rb:24:in `create'

  app/controllers/issue_moves_controller.rb:19:in `each'

  app/controllers/issue_moves_controller.rb:19:in `create'

  passenger (3.0.0) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

  passenger (3.0.0) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_n

ext_request'

  passenger (3.0.0) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

  passenger (3.0.0) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_reque

st_handler'
  passenger (3.0.0) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

  passenger (3.0.0) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_spaw

n_application'

  passenger (3.0.0) lib/phusion_passenger/utils.rb:479:in `safe_fork'

  passenger (3.0.0) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spaw

n_application'

  passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

  passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:180:in `start'

  passenger (3.0.0) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

  passenger (3.0.0) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

  passenger (3.0.0) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

  passenger (3.0.0) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

  passenger (3.0.0) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

  passenger (3.0.0) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (3.0.0) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

  passenger (3.0.0) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

  passenger (3.0.0) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

  passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

  passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.0) helper-scripts/passenger-spawn-server:99

Rendering /www/testredmine/public/500.html (500 Internal Server Error)

History

#1 - 2011-01-25 18:42 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

Your stack trace shows that you're not using 1.1.0 release.

I've just tested with 1.1-stable and no 500 error occurs. A validation message says that the issue can not be moved.
